Subject: Re: source interface ping bug ?

From: Ben Greear <[email-masked]>
Date: Mon, 30 Jul 2007 09:06:10 -0700

nano bug wrote:
> Can someone have a look a this and tell if it's kernel related or if I
> posted this in the wrong place ? Thanks.
>   
Last I checked, ping did not do an SO_BINDTODEVICE even if you did -i ethX.
I think it just looked up the IP for that port and treated it as -i a.b.c.d.

That said, I'm not sure why the behaviour changes for you between kernel
releases.

Maybe an 'strace' of your ping command on the different kernels would help
figure out what the problem is?

Ben

-- 
Ben Greear <[email-masked]> 
Candela Technologies Inc  http://www.candelatech.com